package com.yn.bftl.thirdparty.common.repository;

import com.yn.bftl.common.modules.company.entity.ContractLock;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * 契约锁信息
 *
 * @author chendehuihuo
 * @date 2022/7/27 14:00
 */
@Repository
public interface ContractLockRepository extends JpaRepository<ContractLock, Long> {

    ContractLock findFirstByCompanyId(Long companyId);

    ContractLock findFirstByAuthId(String authId);

    ContractLock findByNameAndRegisterNoAndCompanyIsNotNull(String name, String registerNo);
}
